summaryrefslogtreecommitdiff
path: root/dev-python/ws4py/ws4py-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/ws4py/ws4py-9999.ebuild')
-rw-r--r--dev-python/ws4py/ws4py-9999.ebuild10
1 files changed, 7 insertions, 3 deletions
diff --git a/dev-python/ws4py/ws4py-9999.ebuild b/dev-python/ws4py/ws4py-9999.ebuild
index d46bec6f790e..3fdcf612f2cb 100644
--- a/dev-python/ws4py/ws4py-9999.ebuild
+++ b/dev-python/ws4py/ws4py-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# We could depend on dev-python/cherrypy when USE=server, but
@@ -7,12 +7,14 @@
# pypy is viable but better with a cutdown set of deps
EAPI=7
+
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
PYTHON_REQ_USE="threads(+)?"
MY_PN="WebSocket-for-Python"
inherit distutils-r1
+
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/Lawouach/${MY_PN}.git"
inherit git-r3
@@ -42,11 +44,13 @@ DEPEND="test? (
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
)"
-PATCHES=( "${FILESDIR}"/${PN}-0.5.1-python3.7+-compatibility.patch )
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.5.1-python3.7+-compatibility.patch
+)
python_test() {
# testsuite displays an issue with mock under py3 but is non fatal
- "${PYTHON}" -m unittest discover || die "Tests failed under ${EPYTHON}"
+ "${EPYTHON}" -m unittest discover || die "Tests failed under ${EPYTHON}"
}
python_install() {